Bug 221835 - cad/stepcode: Fix portlint issues
Summary: cad/stepcode: Fix portlint issues
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: easy
Depends on:
Blocks: 221836
  Show dependency treegraph
 
Reported: 2017-08-26 15:54 UTC by Fernando Apesteguía
Modified: 2018-02-11 21:25 UTC (History)
2 users (show)

See Also:
fernape: merge-quarterly?


Attachments
patch to the ports tree (1002 bytes, text/plain)
2017-08-26 15:54 UTC, Fernando Apesteguía
fernape: maintainer-approval+
Details
patch to the ports tree V2 (1.59 KB, patch)
2017-08-29 18:47 UTC, Fernando Apesteguía
fernape: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2017-08-26 15:54:03 UTC
Created attachment 185786 [details]
patch to the ports tree

The attached patch fixes a couple of portlint issues:

- Fixes order of PORTREVISION variable.
- Fixes generation of manpages by setting proper MANDIRS value.

It also bumps PORTREVISION.

QA:
 - portlint -AC: OK
 - poudriere builds for {10.3,11.0,11.1}{amd64,i386}: OK
Comment 1 Kurt Jaeger freebsd_committer 2017-08-29 05:27:47 UTC
portlint has this FATAL:

FATAL: /home/pi/m/cad/stepcode/pkg-plist: [117]: Man pages must be installed into ``man'' not ``share/man''.
FATAL: /home/pi/m/cad/stepcode/pkg-plist: [118]: Man pages must be installed into ``man'' not ``share/man''.

Why share/ ?
Comment 2 Fernando Apesteguía freebsd_committer 2017-08-29 18:46:40 UTC
(In reply to Kurt Jaeger from comment #1)

I'm really sorry about that. I always check my patches with portlint and poudriere. The problem was that I used portlint-2.17.9 from quaterly branch and that version doesn't complain about anything in the port :S

I updated to portlint-2.17.12 and fixed both the problems that you pointed out and a warning complaining about the relative order or USE_* and USES.


For the new patch:

Q/A:
 - portlint -AC: OK
 - poudriere builds for {10.3,11.0,11.1}{amd64,i386}: OK
Comment 3 Fernando Apesteguía freebsd_committer 2017-08-29 18:47:18 UTC
Created attachment 185886 [details]
patch to the ports tree V2
Comment 4 commit-hook freebsd_committer 2017-08-29 19:37:10 UTC
A commit references this bug:

Author: pi
Date: Tue Aug 29 19:36:17 UTC 2017
New revision: 448936
URL: https://svnweb.freebsd.org/changeset/ports/448936

Log:
  cad/stepcode: Fix portlint issues

  PR:		221835
  Submitted by:	Fernando Apesteguia <fernando.apesteguia@gmail.com> (maintainer)
  MFH:		2017Q3

Changes:
  head/cad/stepcode/Makefile
  head/cad/stepcode/files/
  head/cad/stepcode/files/patch-doc_CMakeLists.txt
  head/cad/stepcode/pkg-plist
Comment 5 commit-hook freebsd_committer 2017-09-19 01:03:21 UTC
A commit references this bug:

Author: feld
Date: Tue Sep 19 01:03:08 UTC 2017
New revision: 450086
URL: https://svnweb.freebsd.org/changeset/ports/450086

Log:
  MFH: r448936

  cad/stepcode: Fix portlint issues

  PR:		221835
  Submitted by:	Fernando Apesteguia <fernando.apesteguia@gmail.com> (maintainer)

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/cad/stepcode/Makefile
  branches/2017Q3/cad/stepcode/files/
  branches/2017Q3/cad/stepcode/pkg-plist
Comment 6 Walter Schwarzenfeld freebsd_triage 2018-01-16 10:28:46 UTC
Forgot to close?